ng-packagr versions and peer dependencies

The table below has a list of all versions of ng-packagr compatible peers dependencies.

Version Peer Dependency Versions
1.5.1
  • @angular/tsc-wrapped @ ~4.4.5
  • typescript @ ~2.3.4
1.5.2 - 1.7.0
  • typescript @ ^2.3.4
2.0.0 - 2.2.0
  • @angular/compiler @ ^5.0.0
  • @angular/compiler-cli @ ^5.0.0
  • tsickle @ >=0.25.5
  • tslib @ ^1.7.1
  • typescript @ >=2.4.2
2.3.0 - 2.4.5
  • @angular/compiler @ ^5.0.0 || ^6.0.0-rc.0
  • @angular/compiler-cli @ ^5.0.0 || ^6.0.0-rc.0
  • tsickle @ >=0.25.5
  • tslib @ ^1.7.1
  • typescript @ >=2.4.2
3.0.0 - 3.0.6
  • @angular/compiler @ ^5.0.0 || ^6.0.0
  • @angular/compiler-cli @ ^5.0.0 || ^6.0.0
  • tsickle @ >=0.27.3
  • tslib @ ^1.7.1
  • typescript @ >=2.4.2
4.0.0 - 4.1.1
  • @angular/compiler @ ^6.0.0
  • @angular/compiler-cli @ ^6.0.0
  • tsickle @ >=0.27.3
  • tslib @ ^1.9.0
  • typescript @ ^2.7.0
4.2.0
  • @angular/compiler @ ^6.0.0 || ^7.0.0-beta.0
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0-beta.0
  • tsickle @ >=0.27.3
  • tslib @ ^1.9.0
  • typescript @ ^2.7.0 || ~3.0.1
4.3.0 - 4.4.5
  • @angular/compiler @ ^6.0.0 || ^7.0.0-beta.0
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0-beta.0
  • tsickle @ >=0.27.3
  • tslib @ ^1.9.0
  • typescript @ >= 2.7 <3.2
4.5.0 - 4.6.0
  • @angular/compiler @ ^6.0.0 || ^7.0.0 || ^7.2.0-beta.0
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0 || ^7.2.0-beta.0
  • tsickle @ >=0.27.3
  • tslib @ ^1.9.0
  • typescript @ >= 2.7 <3.3
4.7.0 - 4.7.1
  • @angular/compiler @ ^6.0.0 || ^7.0.0 || ^7.2.0-beta.0
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0 || ^7.2.0-beta.0
  • tsickle @ >=0.34.0
  • tslib @ ^1.9.0
  • typescript @ >= 2.7 <3.3
5.0.0 - 5.0.1
  • @angular/compiler @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0
  • tslib @ ^1.9.0
  • typescript @ >=2.7 < 3.4
5.1.0 - 5.2.0
  • @angular/compiler @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0
  • tslib @ ^1.9.0
  • typescript @ >=2.7 < 3.5
5.3.0
  • @angular/compiler @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0 || ^8.1.0-beta.0
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0 || ^8.1.0-beta.0
  • tslib @ ^1.9.0
  • typescript @ >=2.7 < 3.5
5.4.0 - 5.7.1
  • @angular/compiler @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0 || ^8.1.0-beta.0 || ^8.2.0-beta.0 || ^8.3.0-beta.0 || ^8.4.0-beta.0 || >=9.0.0-beta < 9
  • @angular/compiler-cli @ ^6.0.0 || ^7.0.0 || ^8.0.0-beta.0 || ^8.1.0-beta.0 || ^8.2.0-beta.0 || ^8.3.0-beta.0 || ^8.4.0-beta.0 || >=9.0.0-beta < 9
  • tslib @ ^1.9.0
  • typescript @ >=2.7 <3.6
9.0.0 - 9.0.1
  • @angular/compiler @ ^9.0.0-beta
  • @angular/compiler-cli @ ^9.0.0-beta
  • tslib @ ^1.9.0
  • typescript @ ^3.6.4 || ^3.7.4
9.0.2 - 9.0.3
  • @angular/compiler @ ^9.0.0
  • @angular/compiler-cli @ ^9.0.0
  • tslib @ ^1.9.0
  • typescript @ ~3.6.4 || ~3.7.4
9.1.0 - 9.1.5
  • @angular/compiler @ ^9.0.0
  • @angular/compiler-cli @ ^9.0.0
  • tslib @ ^1.9.0
  • typescript @ >=3.6 < 3.9
10.0.0 - 10.0.4
  • @angular/compiler @ ^10.0.0-rc.3
  • @angular/compiler-cli @ ^10.0.0-rc.3
  • tslib @ ^2.0.0
  • typescript @ >=3.9 < 3.10
10.1.0 - 10.1.2
  • @angular/compiler @ ^10.0.0
  • @angular/compiler-cli @ ^10.0.0
  • tslib @ ^2.0.0
  • typescript @ >=3.9 < 4.1
11.0.0 - 11.0.3
  • @angular/compiler @ ^11.0.0-next.0
  • @angular/compiler-cli @ ^11.0.0-next.0
  • tslib @ ^2.0.0
  • typescript @ ^4.0.0
11.1.0 - 11.1.3
  • @angular/compiler @ ^11.0.0
  • @angular/compiler-cli @ ^11.0.0
  • tsickle @ ~0.39.0
  • tslib @ ^2.0.0
  • typescript @ >=4.0 <4.2
11.1.4 - 11.2.4
  • @angular/compiler @ ^11.0.0
  • @angular/compiler-cli @ ^11.0.0
  • tslib @ ^2.0.0
  • typescript @ >=4.0 <4.2